package ru.dbotthepony.kstarbound.defs

import com.google.gson.stream.JsonWriter
import ru.dbotthepony.kstarbound.json.builder.IStringSerializable

enum class EntityType(override val jsonName: String) : IStringSerializable {
	PLANT("PlantEntity"),
	OBJECT("ObjectEntity"),
	VEHICLE("VehicleEntity"),
	ITEM_DROP("ItemDropEntity"),
	PLANT_DROP("PlantDropEntity"), // wat
	PROJECTILE("ProjectileEntity"),
	STAGEHAND("StagehandEntity"),
	MONSTER("MonsterEntity"),
	NPC("NpcEntity"),
	PLAYER("PlayerEntity");
}
